/**
 * XRoleClassAccommodationRequestor2.java
 *
 * File generated from the medication2::XRoleClassAccommodationRequestor2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XRoleClassAccommodationRequestor2.
 *
 * 
 */

@XmlType(name = "XRoleClassAccommodationRequestor")
@XmlEnum
@XmlRootElement(name = "XRoleClassAccommodationRequestor2")
public enum XRoleClassAccommodationRequestor2 {
	@XmlEnumValue("AGNT")
	AGNT("AGNT"),
	@XmlEnumValue("PAT")
	PAT("PAT"),
	@XmlEnumValue("PROV")
	PROV("PROV"),
	@XmlEnumValue("PRS")
	PRS("PRS");
	
	private final String value;

    XRoleClassAccommodationRequestor2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XRoleClassAccommodationRequestor2 fromValue(String v) {
        for (XRoleClassAccommodationRequestor2 c: XRoleClassAccommodationRequestor2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
